Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 580042 - kde-plasma/kwin-5.6.2 fails to build against sys-libs/glibc-2.23-r1
Summary: kde-plasma/kwin-5.6.2 fails to build against sys-libs/glibc-2.23-r1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-sysmacros
  Show dependency tree
 
Reported: 2016-04-15 07:25 UTC by jospezial
Modified: 2016-04-19 18:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jospezial 2016-04-15 07:25:28 UTC
/var/tmp/portage/kde-plasma/kwin-9999/work/kwin-9999/logind.cpp: In member function ‘int KWin::LogindIntegration::takeDevice(const char*)’:
/var/tmp/portage/kde-plasma/kwin-9999/work/kwin-9999/logind.cpp:273:65: error: ‘major’ was not declared in this scope
     message.setArguments(QVariantList({QVariant(major(st.st_rdev)), QVariant(minor(st.st_rdev))}));
                                                                 ^
/var/tmp/portage/kde-plasma/kwin-9999/work/kwin-9999/logind.cpp:273:94: error: ‘minor’ was not declared in this scope
     message.setArguments(QVariantList({QVariant(major(st.st_rdev)), QVariant(minor(st.st_rdev))}));
                                                                                              ^
/var/tmp/portage/kde-plasma/kwin-9999/work/kwin-9999/logind.cpp:273:97: error: no matching function for call to ‘QList<QVariant>::QList(<brace-enclosed initializer list>)’
     message.setArguments(QVariantList({QVariant(major(st.st_rdev)), QVariant(minor(st.st_rdev))}));
Comment 1 Johannes Huber gentoo-dev 2016-04-15 09:13:01 UTC
Latest testing version in tree is affected too.
Comment 2 Marcus 2016-04-19 14:52:12 UTC
This is fixed for me with glibc-2.23-r2.
Comment 3 Johannes Huber gentoo-dev 2016-04-19 14:57:12 UTC
(In reply to Marcus from comment #2)
> This is fixed for me with glibc-2.23-r2.

Because the patch for glibc future change is only included in -r1. Problem still exists in next release when patch is merged upstream.
Comment 4 Johannes Huber gentoo-dev 2016-04-19 18:00:05 UTC
Thanks all. Patch added downstream with KDE Plasma 5.6.3. Patch by Andreas Sturmlechner.

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f9d0e9c17863c7e543d1262245a4e70ef52b43b